<script setup lang="ts">
import { provide, ref } from 'vue'
import UserList from '@/components/UserList.vue'
import { useAuthStore } from '@/stores/auth'
import type { User } from '@/types/User'

const authStore = useAuthStore()
const p = ref<User>()

provide('selectedUser', p)

const userList: User[] = authStore.users
const tab = ref(1)
</script>

<template>
  <UserList :users="userList"></UserList>
</template>
